Page MenuHomePhabricator

[native] render avatar in profile screen
ClosedPublic

Authored by ginsu on Mar 12 2023, 11:37 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 25, 10:54 AM
Unknown Object (File)
Sat, May 25, 10:54 AM
Unknown Object (File)
Sat, May 25, 10:54 AM
Unknown Object (File)
Sat, May 25, 10:54 AM
Unknown Object (File)
Fri, May 24, 5:07 PM
Unknown Object (File)
Mon, May 20, 9:20 PM
Unknown Object (File)
Mon, May 6, 5:15 AM
Unknown Object (File)
Sun, May 5, 11:30 PM
Subscribers

Details

Summary

Rendered avatar in profile screen. Future diffs in this stack will render the avatars in other places, and another future diff will render the pencil icon in the design when I start work on avatar creation later in the week.

This diff won't be landed until the avatars stack is all accepted


Depends on D7055

Linear Task: https://linear.app/comm/issue/ENG-3107/build-out-a-dummy-avatar-component-and-render-it-everywhere-we-will

Figma: https://www.figma.com/file/a1nkbWgbgjRlrOY9LVurTz/Comm-%2F-Desktop-app?node-id=9562%3A270487&t=T6rb2f6GxjBNoA89-4

Test Plan

Please see screenshot attached

Screenshot 2023-03-13 at 1.43.52 AM.png (1×1 px, 401 KB)

Diff Detail

Repository
rCOMM Comm
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Mar 13 2023, 9:39 AM

rebase after switching up diff stack order

This revision was automatically updated to reflect the committed changes.